/*
 *  Copyright 2025-2026 R3944Realms
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */

package top.r3944realms.eroticdungeongame.client.model.item;

import net.minecraft.resources.ResourceLocation;
import software.bernie.geckolib.model.DefaultedItemGeoModel;
import top.r3944realms.eroticdungeongame.EroticDungeon;
import top.r3944realms.eroticdungeongame.client.model.block.IronCageBlockModel;
import top.r3944realms.eroticdungeongame.content.item.IronCageItem;

public class IronCageItemModel extends DefaultedItemGeoModel<IronCageItem> {
    public static final ResourceLocation TEXTURE = EroticDungeon.rl("textures/block/iron_cage.png");
    public static final ResourceLocation ANIMATION = EroticDungeon.rl("animations/block/iron_cage.animation.json");
    public static final ResourceLocation MODEL = EroticDungeon.rl("geo/block/iron_cage.geo.json");

    public IronCageItemModel() {
        super(IronCageBlockModel.PATH);
    }

    @Override
    public ResourceLocation getModelResource(IronCageItem animatable) {
        return MODEL;
    }

    @Override
    public ResourceLocation getTextureResource(IronCageItem animatable) {
        return TEXTURE;
    }

    @Override
    public ResourceLocation getAnimationResource(IronCageItem animatable) {
        return ANIMATION;
    }
}
